Retrieve subscriber preferences
Retrieve subscriber channel preferences by its unique key identifier **subscriberId**. This API returns all five channels preferences for all workflows and global preferences.
Retrieve subscriber channel preferences by its unique key identifier subscriberId. This API returns all five channels preferences for all workflows and global preferences.
Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Path Parameters
The identifier of the subscriber
Query Parameters
"nonCritical"Value in
- "critical"
- "nonCritical"
- "all"
Context keys for filtering preferences (e.g., ["tenant:acme"])
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/subscribers/string/preferences?contextKeys=tenant%3Aacme"{ "data": { "global": { "enabled": true, "channels": { "email": true, "sms": false, "in_app": true, "chat": false, "push": true }, "schedule": { "isEnabled": true, "weeklySchedule": { "monday": { "isEnabled": true, "hours": [ { "start": "09:00 AM", "end": "05:00 PM" } ] }, "tuesday": { "isEnabled": true, "hours": [ { "start": "09:00 AM", "end": "05:00 PM" } ] }, "wednesday": { "isEnabled": true, "hours": [ { "start": "09:00 AM", "end": "05:00 PM" } ] }, "thursday": { "isEnabled": true, "hours": [ { "start": "09:00 AM", "end": "05:00 PM" } ] }, "friday": { "isEnabled": true, "hours": [ { "start": "09:00 AM", "end": "05:00 PM" } ] }, "saturday": { "isEnabled": true, "hours": [ { "start": "09:00 AM", "end": "05:00 PM" } ] }, "sunday": { "isEnabled": true, "hours": [ { "start": "09:00 AM", "end": "05:00 PM" } ] } } } }, "workflows": [ { "enabled": true, "channels": { "email": true, "sms": false, "in_app": true, "chat": false, "push": true }, "overrides": [ { "channel": "in_app", "source": "subscriber" } ], "workflow": { "slug": "string", "identifier": "string", "name": "string", "updatedAt": "string" }, "updatedAt": "string" } ] }}Delete a subscriber DELETE
Deletes a subscriber entity from the Notifly platform along with associated messages, preferences, and topic subscriptions. **subscriberId** is a required field.
Update subscriber preferences PATCH
Update subscriber preferences by its unique key identifier **subscriberId**. **workflowId** is optional field, if provided, this API will update that workflow preference, otherwise it will update global preferences